<?xml version="1.0" encoding="UTF-8"?>
<project name="bsc" default="deploy" basedir=".">

    <target name="init">
	<property name="sourceDir" value="src"/>
	<property name="classesDir" value="classes" />
	<property name="distDir" value="dist" />
    </target>
    <target name="clean" depends="init">
	<deltree dir="${classesDir}" />
	<deltree dir="${distDir}" />
    </target>
    <target name="prepare" depends="clean">
	<mkdir dir="${classesDir}" />
    </target>
    <target name="compile" depends="prepare">
	<javac srcdir="${sourceDir}" destdir="${classesDir}" />
    </target>
    <target name="deploy" depends="compile,init">
	<copy file="in.txt" todir="${distDir}"/>
	<copy file="rates.txt" todir="${distDir}"/>
	<copy file="readme.txt" todir="${distDir}"/>
    </target>
    <target name="bsc-jar" depends="deploy">
	<jar destfile = "${distDir}/bsc.jar" basedir = "${classesDir}">
	    <manifest>
		<attribute name="Main-Class" value="controller.START"/>
	    </manifest>
	</jar>
    </target>
</project>
